
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ssh 双机互信配置记要 / 憋错料</title>

    <meta name="description" content="ssh 双机互信配置记要 双机互信的原理:通过ssh密钥对的认证,复用ssl协议进行通信. 配置方法 1.生成密码对 # ssh-keygen -t rsa -b 2048 -t 指定加密算法为rsa,-b指定加密码的位数. 其他的默认,一路回车,会在~/.ssh/目录下生成id_rsa  id_rsa.pub,两个文件,id_rsa是私钥文件,  id_rsa.pub是公钥文件. 2.将公钥文件放到远程主机即需要信任的主机上. 有两种方法: (1)使用命令ssh-copy-id -i ~/.ssh/id_rsa.pub">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">ssh 双机互信配置记要</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>双机互信的原理：通过ssh密钥对的认证，复用ssl协议进行通信。</p>
<p>配置方法</p>
<p>1、生成密码对</p>
<pre>#&nbsp;ssh-keygen&nbsp;-t&nbsp;rsa&nbsp;-b&nbsp;2048</pre>
<p>-t&nbsp;指定加密算法为rsa，-b指定加密码的位数。</p>
<p>其他的默认，一路回车,会在~/.ssh/目录下生成id_rsa&nbsp; id_rsa.pub,两个文件，id_rsa是私钥文件，&nbsp; id_rsa.pub是公钥文件。</p>
<p>2、将公钥文件放到远程主机即需要信任的主机上。</p>
<p>有两种方法：</p>
<p>(1)使用命令ssh-copy-id -i ~/.ssh/id_rsa.pub [email&#160;protected],</p>
<p>会询问是否要把remotehost写到~/.ssh/knownhost里，当然要写入了</p>
<p>然后输入remotehost的user登录密码，即完成。</p>
<p>此时，使用ssh [email&#160;protected]@remotehost即可登录。如果远程机器的ssh端口非默认，需要使用添加 -p port参数。如果登入远程机器的用户和当前用户相同，可使用简化命令 ssh remotehost直接登录。比如当前用户为root,登入remotehost的用户也是root，则可以用简化命令</p>
<p>(2)复制文件安装</p>
<p>先scp ~/.ssh/id_rsa.pub&nbsp;[email&#160;protected]:~/</p>
<p>如果ssh端口非默认，加-P port参数</p>
<p>然后ssh [email&#160;protected]登录到远程机上操作。</p>
<p>ls -a ~/,确认家目录下有.ssh目录。</p>
<p>cat ~/id_rsa.pub &gt;~/.ssh/authorized_keys完成公钥的安装。</p>
<p>完成后，ctrl+d，退回到被信任机上。</p>
<p>3、sshd配置</p>
<p>配置文件:/etc/ssh/sshd_config</p>
<p>禁止密码登录配置：</p>
<p>ChallengeResponseAuthentication no<br /> PasswordAuthentication no<br /> UsePAM no</p>
<p>启用密钥认证：</p>
<p>RSAAuthentication yes<br /> PubkeyAuthentication yes</p>
<p>按相应的值修改后，service sshd reload或/etc/init.d/sshd reload重新加载配置文件生效。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 03:13:03 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/ssh-%e5%af%86%e9%92%a5%e8%ae%a4%e8%af%81-%e5%85%8d%e5%af%86%e9%92%a5%e7%99%bb%e5%85%a5-%e5%8f%8c%e6%9c%ba%e4%ba%92%e4%bf%a1-%c2%a0-authorized_keys/" title="ssh 密钥认证 免密钥登入 双机互信 &nbsp; authorized&lowbar;keys">ssh 密钥认证 免密钥登入 双机互信 &nbsp; authorized&lowbar;keys</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>ssh 双机互信配置记要的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/498OND3.html" rel="bookmark">记录一则Linux SSH的互信配置过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				需求:四台Linux主机,IP地址为192.168.10.10/11/12/13,配置root用户的等价性1.各节点ssh-keygen生成RSA密钥和公钥 ? 1 ssh-keygen -q -t rsa  -N &quot;&quot; -f  ~/.ssh/id_rsa 2.将所有的公钥文件汇总到一个总的授权key文件中在10执行汇总: ? 1 2 3 4 ssh 192.168.10.10 cat ~/.ssh/id_rsa.pub &gt;&gt; ~/.ssh/authorized_keys			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NqoBZ3.html" rel="bookmark">openssh服务以及基于ssh的双机互信配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在实现日常的维护和管理,我们经常需要远程登录到服务器,在早期,实现这个功能的协议是telnet,现在也较少的使用到,但是telnet一个致命的缺陷就是其不光是数据传输是明文的,就连用户的认证也是明文的,这在互联网是极其不安全的. 为了实现安全的管理,现在远程登录的时候使用的是都是ssh(secure shell)协议,ssl协议有v1,v2版,但是V1版本因为自身的缺陷也满足不了现在的需求.同telnet一样,ssh协议的实现也是c/s架构,client端可以通过帐号密码的方式登录到server			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47DQNRM.html" rel="bookmark">SSH双机互信及错误解决大全</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在linux系统管理中,设置免密码登录,进行机器的批量管理是最常用的一个方法.比如针对几十甚至上百台线上机器,通常我们会设置一台&quot;发布机&quot;作为中央控制机对其它线上机器免密码登录,然后进行软件.配置文件的分发.更新.部署.当然了,针对上面的问题,解决方案并非最优且唯一,比如你也可以用expect模拟自动输入来完成自动登录验证这一过程,或者用现在一些开源的软件自动化配置和部署工具,比如 Puppet,但这都不在本文的讨论范畴,今天咱们要说的就是这种最原始.最有效.最直接的方式:免密码登录.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZbKJD3.html" rel="bookmark">ssh双机互信搭建</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在 linux 系统管理中,设置免密码登录,进行机器的批量管理是最常用的一个方法.比如针对几十甚至上百台线上机器,通常我们会设置一台&quot;发布机&quot;作为中央控制机对其它线上机器免密码登录,然后进行软件.配置文件的分发.更新.部署.当然了,针对上面的问题,解决方案并非最优且唯一,比如你也可以用 expect 模拟自动输入来完成自动登录验证这一过程,或者用现在一些开源的软件自动化配置和部署工具,比如 Puppet,但这都不在本文的讨论范畴,今天咱们要说的就是这种最原始.最有效.最直接的方式:免密			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38KqXK0.html" rel="bookmark">linux ssh 双机互信</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.在A机生成密钥对 #ssh-keygen -t rsa -f /root/.ssh/id_rsa  #指证书的生成位置 注意: 在程序提示输入passphrase时直接输入回车,表示无证书密码. 上述命令将生成私钥证书id_rsa和公钥证书id_rsa.pub,存放在用户家目录的.ssh子目录中. 二.查看 ~/.ssh 生成密钥的文件 # cd / # cd ~/.ssh # ll 三. 用ssh-copy-id将公钥复制到远程机器中 用 ssh-copy-id -i 的命令进行分发公钥,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AmOvZ4.html" rel="bookmark">双机互信配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基于ssh的方式与被管理的主机进行通信,在管理的主机上(部署ansible的主机上)生成一对非对称密钥,将公钥发给被管理的主机. (1)生成一对密钥:ssh-keygen -t rsa 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 [[email protected] yum.repos.d]# ssh-keygen -t rsa    # 默认存放的地方为/root/.ssh目录下 Generating public/private			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWDvkb0.html" rel="bookmark">ssh &amp;nbsp&semi; sshd &amp;nbsp&semi; scp &amp;nbsp&semi; 基于密钥认证登陆 双机互信</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				telnet :远程登陆 TCP/23 远程认证是明文的 :数据传输是明文的:不实用 ssh:Secure SHell TCP/22    协议 v1 v2  v1基本不使用的 实现了将认证过程加密 Openssh:是ssh的开源版 ssh不仅是一个软件,也是一种协议 ssh加密认证的机制 基于口令:默认为口令 基于密钥:事先在服务器端的用户里放入客户端的公钥,然后链接过来的时候对暗号 netstat -tnl  查看服务器端打开了等待别人访问的服务 LISTEN监听 ssh 和sshd的配置文			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/r4JG1lM.html" rel="bookmark">ssh以及双机互信</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当我们要远程到其他主机上面时就需要使用ssh服务了. 我们就来安装一下sshd服务以及ssh命令的使用方法. 服务安装: 需要安装OpenSSH 四个安装包: 安装包: openssh-5.3p1-114.el6_7.x86_64:包含OpenSSH服务器及客户端需要的核心文件 openssh-clients-5.3p1-114.el6_7.x86_64:OpenSSH客户端软件包 openssh-server-5.3p1-114.el6_7.x86_64:OpenSSH服务器软件包 opens			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lX6Kp0.html" rel="bookmark">ssh实现双机互信</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				实现思路:     A主机生成公钥和私钥,把公钥传输到被远程的服务器B,A通过ssh连接B时,会发送私钥和B主机上的公钥匹配,如果匹配成功则成功连接,反向认证则实现双击认证. A:192.168.1.154 B:192.168.1.156 A: #ssh-keygen -t dsa -N '' #ll /root/.ssh/ total 12 -rw-------. 1 root root 668 Jun 23 14:13 id_dsa -rw-r--r--. 1 root root 612 J			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xQOyj3.html" rel="bookmark" class="title">赵雅智&lowbar;service电话监听2加接通电话录音</a>
					<div>
						步骤: 创建CallStateService继承Service 取得电话服务 监听电话动作 电话监听的对象 没有电话时 停止刻录 重设 刻录完成一定要释放资源 电话响铃时 从麦克风采集声音 内容输出格 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lXlEp0.html" rel="bookmark" class="title">WebAPP-1</a>
					<div>
						Base64图片制作icon 优势: 可以减少请求(相当于提前把图片信息提前放到了css的文件当中)   background:url(data:image/png;base64,{img_data} ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aw6vE4.html" rel="bookmark" class="title">json字符串转对象</a>
					<div>
						1.添加引用 2.添加命名空间 using System.Web; using System.Web.Script.Serialization; 3. OpenFileDialog fileDialo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dxe2e0.html" rel="bookmark" class="title">python中的string</a>
					<div>
						也可以用一个变量来保存字符串,然后输出str = ‘bad’print str 如果你想表示一段带有英文单引号或者双引号的文字,那么表示这个字符串的引号就要与内容区别开. 内容带有单引号,就用双引号表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXdKwkM.html" rel="bookmark" class="title">web应用程序项目 已配置为使用iis</a>
					<div>
						Web应用程序项目XX已配置为使用IIS 今天在看开源项目Umbraco是,出现一个项目加载不了,并报如下错误: Web应用程序项目Umbraco.Cms.Web.UI已配置为使用IIS.若要访问本地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kDRNp3.html" rel="bookmark" class="title">WebService作业</a>
					<div>
						1.创建zy.xml &lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt; &lt;zy&gt; &lt;person&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzQEAl4.html" rel="bookmark" class="title">&period;size和&period;empty</a>
					<div>
						坑爹的list容器size方法--为了splice居然把复杂度设计为O(N)? 能用empty的时候,不要用size empty可以保证常量复杂度,但list的size不保证 链表长度必须要遍历全部的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RG2a53.html" rel="bookmark" class="title">atitit&period;MIZIAN 陕北方言 特有词汇 大词典 attilax 整理 a--g v1 q31&period;xlsx</a>
					<div>
						1  Mizian陕北方言 english英语 spain西班牙语 cantonese粤语 CHINESE汉语 发音 example例子 2  Twei kdeal ,pad kme l.zisad  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41BQqgM.html" rel="bookmark" class="title">第一百节，JavaScript运算符</a>
					<div>
						JavaScript表达式中的运算符 学习要点: 1.什么是表达式 2.一元运算符 3.算术运算符 4.关系运算符 5.逻辑运算符 6.*位运算符 7.赋值运算符 8.其他运算符 9.运算符优先级 E ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZbgW83.html" rel="bookmark" class="title">权限 查找</a>
					<div>
						login.php登录页面 &lt;body&gt; &lt;form action=&quot;chulilg.php&quot; method=&quot;post&quot; &gt; 用户名: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmojVP3.html" rel="bookmark" class="title">More is better--hdu1856（并查集）</a>
					<div>
						More is better Time Limit: 5000/1000 MS (Java/Others)    Memory Limit: 327680/102400 K (Java/Others) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bqlwoM.html" rel="bookmark" class="title">php程序员面试分享</a>
					<div>
						面试总结 今天去了北京著名IT公司进行PHP程序员的面试.这是人生第一次么,怎么不紧张?我是不是有病.不是,这叫自信呵. 首先是做一些笔试题. 1.mysql数据库索引使用的数据结构?这样做的好处是? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLvLJd3.html" rel="bookmark" class="title">hdu1255（线段树&mdash;&mdash;矩形面积交）</a>
					<div>
						题目连接:http://acm.hdu.edu.cn/showproblem.php?pid=1255 题意:求N个矩形中,求被覆盖至少俩次的面积和 分析:覆盖两次即col[rt]&gt;=2就好.一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38pn9W3.html" rel="bookmark" class="title">【转】strlen源码</a>
					<div>
						strlen源码剖析 学习高效编程的有效途径之一就是阅读高手写的源代码,CRT(C/C++ Runtime Library)作为底层的函数库,实现必然高效.恰好手中就有glibc和VC的CRT源代码, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jL5Xo4.html" rel="bookmark" class="title">Robot Framework自动化测试环境的搭建</a>
					<div>
						1.python-2.7.6.amd64.1394777203.msi 2.setuptools-28.0.0 3.pip-8.1.1 4.robotframework-2.8.7.win-amd64 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZpBAlM.html" rel="bookmark" class="title">eclipse开发jsp（好激动 ，热泪盈眶）</a>
					<div>
						妈的搞了一周,各种配置,各种网上教程,各种classpath.网上的东西就他妈的鱼龙混杂,终于他妈的搞到了,好激动,我靠,http://edu.51cto.com/roadmap/view/id-55 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Kjzw9M.html" rel="bookmark" class="title">树莓派3 Windows 10 IoT Core</a>
					<div>
						下载地址:https://developer.microsoft.com/zh-cn/windows/iot/Downloads 先下载安装 Windows 10 IoT 核心版仪表板: 安装完成后运 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pgEv83.html" rel="bookmark" class="title">CentOS6&period;5 下sciki-learn numpy scipy 的安装</a>
					<div>
						CentOS6.5 下sciki-learn numpy scipy 的安装 软件安装 CentOS Python 之前用的一直是CentOS 7, 后来觉的软件安装太麻烦就改到了Ubuntu, 这些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j9okVM.html" rel="bookmark" class="title">QT软件打包图文教程</a>
					<div>
						写这篇博客主要是记录一下QT软件打包的过程,这样在以后遇到问题就可以看一下...废话不多说,直接进入正文... 首先介绍环境:windows + QT5.2 第一步:当然是准备好要打包的exe了,如果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Myn87e0.html" rel="bookmark" class="title">redis 在 php 中的应用（Sorted-set篇）</a>
					<div>
						上一篇:redis 在 php 中的应用(Set篇) 本文为我阅读了 redis参考手册 之后编写,注意 php_redis 和 redis-cli 的区别(主要是返回值类型和参数用法) Redis  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
